0 Replies Latest reply on Mar 9, 2018 1:19 AM by Phuc Vo

    Is JBoss 5.1 able to work with Java 9?

    Phuc Vo Newbie

      Hi guys,

       

      Our application currently works properly with both JBoss AS 5.1.6.1 and WildFly 10.1.1.0 on JDK 8. I'm investigating the possibility of working with JDK 9, With some patches, it works like a charm on WildFly for JDK 9, but not for JBoss. In the case of JBoss, I have to adjust all places that use vmargs option -Djava.endorsed.dirs (we have a wrapper script that starts container with specific VM args). After that, I get a lot of error of unable to load classes

      DEPLOYMENTS IN ERROR:

      Deployment "vfsfile:/var/opt/adnjboss/idm-jboss/server/idm-jboss/deploy/security/security-policies-jboss-beans.xml" is in error due to the following reason(s): org.jboss.xb.binding.JBossXBRuntimeException: {urn:jboss:security-beans:1.0}application-policy not found as a child of {urn:jboss:bean-deployer:2.0}deployment in unordered_sequence: {urn:jboss:bean-deployer:2.0}classloader? {urn:jboss:bean-deployer:2.0}start ? {urn:jboss:bean-deployer:2.0}create? {urn:jboss:bean-deployer:2.0}destroy? {urn:jboss:bean-deployer:2.0}alias* {urn:jboss:bean-deployer:2.0}stop? {urn:jboss:bean-deployer:2.0}annotation* {choice}* {sequence}*

      ...

      Deployment "JCAMetaDataRepository" is in error due to the following reason(s): java.lang.ClassNotFoundException: org.jboss.resource.metadata.ConnectorMetaData

      Deployment "MCFBuilder" is in error due to the following reason(s): java.lang.ClassNotFoundException: org.jboss.resource.metadata.mcf.ManagedConnectionFactoryDeploymentMetaData

      ...

      Is it possible to make JBoss 5 work with JDK 9?

      Has WildFly been planed/designed to work with the Java Module System in advanced?

       

      Cheers